## kdeutils-1.91.tar.bz2

=== karm/DESCRIPTION ===
KArm is a time tracker for busy people who need 
to keep track of the amount of time they spend
on various tasks.

=== kfloppy/legacy/mkdosfs-ygg-0.3b/Makefile ===
#
# Filename:	Makefile
# Author:	Dave Hudson
# Version:	0.3
# Started:	24th August 1993
# Last Updated:	22th April 1995
# Updated by:   H. Peter Anvin <hpa@yggdrasil.com>
#
# Description:	Makefile for the "mkdosfs" command
#

CC=		gcc
O=		-O2 -fomit-frame-pointer
CFLAGS=		$(O) -Wall
LDFLAGS=	-s
SBINDIR=	/sbin
MANDIR=		/usr/man/man8
LN=		ln -s

all :	mkdosfs

mkdosfs: mkdosfs.o
	$(CC) $(LDFLAGS) mkdosfs.o -o mkdosfs

mkdosfs.o : mkdosfs.c
	$(CC) -c $(CFLAGS) mkdosfs.c

install :
	install -m 755 mkdosfs $(SBINDIR)/mkfs.msdos
	install -m 644 mkdosfs.8 $(MANDIR)
	rm -f $(SBINDIR)/mkdosfs
	$(LN) $(SBINDIR)/mkfs.msdos $(SBINDIR)/mkdosfs
	rm -f $(MANDIR)/mkfs.msdos.8
	$(LN) $(MANDIR)/mkdosfs.8 $(MANDIR)/mkfs.msdos.8

clean :
	rm -f *.s *.o *.a *~ core mkdosfs

=== debian/changelog ===
kdeutils (4:2.0-20000524-1.0) experimental; urgency=low
 
  * new CVS version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 24 May 2000 04:15:00 -0700
                                                                                

kdeutils-cvs (4:2.0-20000521-1.0) experimental; urgency=low
 
  * new CVS version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 21 May 2000 18:15:00 -0700
                                                                                

kdeutils-cvs (4:2.0-20000512-1.1) experimental; urgency=low
 
  * new CVS version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 12 May 2000 22:00:00 -0700

kdeutils-cvs (4:2.0-20000308-1.0) experimental; urgency=low
 
  * new CVS version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 08 Mar 2000 22:00:00 -0700

kdeutils-cvs (4:2.0-20000306-1.0) experimental; urgency=low

  * new CVS version
  * Adding in build-depends

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 06 Mar 2000 22:00:00 -0700

kdeutils-cvs (4:2.0-19991117-1.0) experimental; urgency=low

  * new CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 17 Nov 1999 10:45:00 -0400

kdeutils-cvs (4:2.0-19991008-1) experimental; urgency=low

  * new CVS version
  * Fixing up dependencies

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 08 Oct 1999 12:45:00 -0400

kdeutils-cvs (4:2.0-19990825-1) experimental; urgency=low

  * new version

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 25 Aug 1999 08:00:48 -0400

kdeutils-cvs (4:2.0-19990626-1) experimental; urgency=low

  * new version

 -- Stephan Kulow <coolo@kde.org>  Sat, 26 Jun 1999 20:39:48 +0200

kdeutils-cvs (4:2.0-19990524-1) experimental; urgency=low

  * migrating from /opt to /

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 24 May 1999 07:22:51 -0400

kdeutils (4:1.1-19990217-1) unstable; urgency=low

  * new upstream version

 -- Stephan Kulow <coolo@kde.org>  Wed, 17 Feb 1999 19:09:43 +0100

kdeutils (4:1.1-19990207-2) unstable; urgency=low

  * fixed a bug with the wrong libjpeg version

 -- Stephan Kulow <coolo@kde.org>  Tue,  9 Feb 1999 10:43:44 +0100

kdeutils (4:1.1-19990207-1) unstable; urgency=low

  * new upstream version 1.1 and new epoche

 -- Stephan Kulow <coolo@kde.org>  Sun,  7 Feb 1999 12:12:59 +0100

kdeutils (2:980710-1.0-1) unstable; urgency=low

  * new upstream version 1.0

 -- Stephan Kulow <coolo@kde.org>  Sun, 12 Jul 1998 10:12:20 +0200

kdeutils (2:980419-b4-1) unstable; urgency=low

  * new upstream version Beta4

 -- Stephan Kulow <coolo@kde.org>  Sun, 19 Apr 1998 15:24:47 +0200

kdeutils (2:980312-6) frozen; urgency=low

  * new frozen compile with latest fixed kdelibs. This time from CVS

 -- Stephan Kulow <coolo@kde.org>  Fri,  3 Apr 1998 15:10:54 +0200

kdeutils (2:980312-5) frozen; urgency=low

  * don't compile kcalc with long double

 -- Stephan Kulow <coolo@kde.org>  Thu, 26 Mar 1998 14:35:59 +0100

kdeutils (2:980312-4) frozen; urgency=low

  * new compile cycle with qt-1.33 and libstdc++-2.8

 -- Stephan Kulow <coolo@kde.org>  Tue, 24 Mar 1998 20:49:33 +0100

kdeutils (2:980312-3) unstable; urgency=low

  * changed the maintainer field. I have missed this one ;(

 -- Stephan Kulow <coolo@kde.org>  Sun, 15 Mar 1998 20:51:08 +0100

kdeutils (2:980312-2) unstable; urgency=low

  * fixed typo in the Description

 -- Stephan Kulow <coolo@kde.org>  Sun, 15 Mar 1998 20:05:47 +0100

kdeutils (2:980312-1) experimental; urgency=low

  * New upstream release

 -- Stephan Kulow <coolo@kde.org>  Thu, 12 Mar 1998 23:27:36 +0100

kdeutils (980227-1) experimental; urgency=low

  * New upstream release

 -- Stephan Kulow <coolo@kde.org>  Fri, 27 Feb 1998 22:03:42 +0100

kdeutils (1:Beta2-2.1) experimental; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Fri,  5 Dec 1997 21:16:47 +0100

kdeutils (1:Beta2-2) unstable; urgency=low

  * removed virtual package names.
  * fixed kcalc (compiling with long double breaks somewhere).

 -- Andreas Jellinghaus <aj@debian.org>  Sat, 29 Nov 1997 14:37:17 +0100

kdeutils (1:Beta2-1) unstable; urgency=low

  * new upstream version

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 23 Nov 1997 16:02:18 +0100

kdeutils (1:Beta1.2-2) unstable; urgency=low

  * added /usr/bin/editor divertion
  * now remove inst-apps file.

 -- Andreas Jellinghaus <aj@debian.org>  Sun,  9 Nov 1997 17:44:32 +0100

kdeutils (1:Beta1.2-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Mon, 27 Oct 1997 11:23:49 +0100

kdeutils (1:Beta1.1-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Mon, 20 Oct 1997 12:32:06 +0200

kdeutils (971019-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Mon, 13 Oct 1997 08:29:18 +0200

kdeutils (971013-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Mon, 13 Oct 1997 08:29:18 +0200

kdeutils (971009-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Thu,  9 Oct 1997 10:57:54 +0200

kdeutils (971008-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Wed,  8 Oct 1997 10:14:01 +0200

kdeutils (971006-2) unstable; urgency=low

  * daily recompile of everything.

 -- Andreas Jellinghaus <aj@debian.org>  Tue,  7 Oct 1997 12:51:04 +0200

kdeutils (971006-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Mon,  6 Oct 1997 09:30:04 +0200

kdeutils (971005-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Sun,  5 Oct 1997 17:38:07 +0200

kdeutils (971002-2) unstable; urgency=low

  * daily recompile of everything.

 -- Andreas Jellinghaus <aj@debian.org>  Fri,  3 Oct 1997 10:38:16 +0200

kdeutils (971002-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Thu,  2 Oct 1997 08:57:52 +0200



=== debian/control ===
Source: kdeutils
Build-Depends: automake, debhelper, libqt2.1-dev, kdelibs3-dev, jade, sgml-base, docboook, libc6-dev, libpng2-dev, zlib1g-dev, libjpeg62-ev, autoconf, gettext, libtiff3g-dev
Section: utils
Priority: optional
Maintainer: Stephan Kulow <coolo@kde.org>
Standards-Version: 3.1.1

Package: kdeutils
Architecture: any
Replaces: kdeutils-cvs, ktop, ktimemon, karm, kab
Depends: ${shlibs:Depends}
Suggests: kdebase
Conflicts: kdeutils-cvs
Provides: kdeutils-cvs
Description: collection of useful kde utilities 
 this collection includes kab karm kcalc kdepasswd kcharselect kdessh kdf kedit 
 khexdit kjots klaptopdaemon klipper kljettool knotes ark klpq kpm ktimemon 
 ktop kwrite kfloppy kfind kfontmanager 
 (calculator, editor, hex editor ...)

Package: kdeutils-dev
Architecture: any
Section: devel
Replaces: kdeutils-dev-cvs
Depends: kdeutils (= ${Source-Version}), gettext, libqt2.1-dev, kdelibs3-dev
Conflicts: kdeutils-dev-cvs
Provides: kdeutils-dev-cvs
Description: KDE Utilities (development files)
 KDE utilities libraries for the kdeutils package

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# games on the sample debian/rules file for GNU hello by Ian Jackson.

BUILDDIR = ./build

build: $(BUILDDIR)/build-stamp

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

$(BUILDDIR)/build-stamp:
	dh_testdir
	if test ! -f configure; then \
	  $(MAKE) -f admin/Makefile.common ;\
	fi 
	test -d $(BUILDDIR) || mkdir $(BUILDDIR) ;\
	cd $(BUILDDIR) ;\
	$$PWD/../configure $(configkde)

	make -C $(BUILDDIR)

	touch $(BUILDDIR)/build-stamp

clean: debian-clean
	-rm -rf $(BUILDDIR)
	dh_clean -k

debian-clean:
	dh_testdir
	-rm -f $(BUILDDIR)/build
	-rm -f debian/debiandirs
	if test -d CVS; then \
	  make -f admin/Makefile.common cvs-clean ;\
	fi

binary-indep:	build
	dh_testroot
	dh_testdir
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	-rm -f debian/undocumented
	make -C $(BUILDDIR) DESTDIR=`pwd`/debian/tmp/ install 
	perl -w admin/debianrules
	for i in `find debian/tmp/$(kde_bindir) | sed -e 's#^debian/tmp/$(kde_bindir)/##'  | grep -v "debian/tmp"`; do \
	  echo "$$i.1" >> debian/undocumented ;\
	done
	for i in `cat debian/undocumented.in | grep -v "#"`; do \
	  echo "$$i.1" >> debian/undocumented ; \
	done
	dh_movefiles -pkdeutils-dev $(kde_libdir)/lib*.a $(kde_libdir)/lib*.so 
	-mv `find debian/kdeutils-dev/$(kde_libdir) -type f -name "*.so"` debian/tmp/$(kde_libdir)/ 
	dh_undocumented 
	dh_installdocs
	dh_installmenu
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	cd debian/tmp && find ./$(kde_confdir) -type f -print | sed -e 's#^./#/#' > DEBIAN/conffiles
	chmod 644 debian/tmp/DEBIAN/conffiles 
	dh_md5sums
	perl -w admin/debianrules update
	dh_builddeb    

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
